Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1740348 - CVE-2018-20852 python2: python: cookie domain check returns incorrect results [fedora-all]
Summary: CVE-2018-20852 python2: python: cookie domain check returns incorrect results...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python2
Version: 30
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Charalampos Stratakis
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2018-20852
TreeView+ depends on / blocked
 
Reported: 2019-08-12 18:10 UTC by msiddiqu
Modified: 2019-11-10 01:06 UTC (History)
10 users (show)

Fixed In Version: python2-2.7.17-1.fc31 python2-2.7.17-1.fc30 python2-2.7.17-1.fc29
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-09 21:20:04 UTC
Type: ---


Attachments (Terms of Use)

Description msiddiqu 2019-08-12 18:10:52 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 msiddiqu 2019-08-12 18:11:00 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1740347,1740348

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Miro Hrončok 2019-08-12 20:30:16 UTC
Upstream PR to backport: https://github.com/python/cpython/pull/13426 (not released yet)

Comment 3 Petr Viktorin 2019-08-20 13:55:05 UTC
This will be fixed in the next upstream release.

Comment 4 Fedora Update System 2019-10-21 16:27:41 UTC
FEDORA-2019-0d3fcae639 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-0d3fcae639

Comment 5 Fedora Update System 2019-10-21 21:30:09 UTC
FEDORA-2019-74ba24605e has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-74ba24605e

Comment 6 Fedora Update System 2019-10-21 21:56:06 UTC
FEDORA-2019-758824a3ff has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-758824a3ff

Comment 7 Fedora Update System 2019-10-23 15:44:04 UTC
python2-2.7.17-1.fc31, python2-docs-2.7.17-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-0d3fcae639

Comment 8 Fedora Update System 2019-10-25 19:33:32 UTC
python2-2.7.17-1.fc30, python2-docs-2.7.17-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-74ba24605e

Comment 9 Fedora Update System 2019-10-25 21:26:48 UTC
python2-2.7.17-1.fc29, python2-docs-2.7.17-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-758824a3ff

Comment 10 Fedora Update System 2019-11-09 21:20:04 UTC
python2-2.7.17-1.fc31, python2-docs-2.7.17-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2019-11-09 22:38:15 UTC
python2-2.7.17-1.fc30, python2-docs-2.7.17-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2019-11-10 01:06:18 UTC
python2-2.7.17-1.fc29, python2-docs-2.7.17-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.